Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#58685 - retext 7.0.1-1 lacks dependency on python-markdown-math (which is only in AUR)

Attached to Project: Community Packages
Opened by Javier Ruere (jruere) - Monday, 21 May 2018, 15:14 GMT
Last edited by Antonio Rojas (arojas) - Monday, 21 May 2018, 15:35 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description: retext fails to start because of missing dependency python-markdown-math.


Additional info:
* package version(s): 7.0.1-1


Steps to reproduce:
1. Install retext.
2. Start retext.

The output will be:

Using configuration file: /home/javier/.config/ReText project/ReText.conf
Traceback (most recent call last):
File "/usr/bin/retext", line 111, in <module>
main()
File "/usr/bin/retext", line 79, in main
window = ReTextWindow()
File "/usr/lib/python3.6/site-packages/ReText/window.py", line 217, in __init__
availableMarkups = markups.get_available_markups()
File "/usr/lib/python3.6/site-packages/markups/__init__.py", line 33, in get_available_markups
for markup in get_all_markups():
File "/usr/lib/python3.6/site-packages/markups/__init__.py", line 23, in get_all_markups
return [entry_point.load() for entry_point in entry_points]
File "/usr/lib/python3.6/site-packages/markups/__init__.py", line 23, in <listcomp>
return [entry_point.load() for entry_point in entry_points]
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2317, in load
self.require(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2340, in require
items = working_set.resolve(reqs, env, installer, extras=self.extras)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 774, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'python-markdown-math' distribution was not found and is required by the application
This task depends upon

Closed by  Antonio Rojas (arojas)
Monday, 21 May 2018, 15:35 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#58611 

Loading...